<?php

namespace StylesFactory\SFCore\Node;

class Forum extends XFCP_Forum
{
    protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $form = parent::nodeSaveProcess($node);

        $input = $this->filter([
            'node' => [
                'font_icon' => 'str',
                'svg_width' => 'str',
                'svg_height' => 'str',
                'svg_bg' => 'str'
            ]
        ]);

        $urld = $input['node']['font_icon'];
        $svgwidth = $input['node']['svg_width'];
        $svgheight = $input['node']['svg_height'];
        $svgbg = $input['node']['svg_bg'];

        $form->setup(function() use ($node, $urld, $svgwidth, $svgheight, $svgbg)
        {
            $node->font_icon = $urld;
            $node->svg_width = $svgwidth;
            $node->svg_height = $svgheight;
            $node->svg_bg = $svgbg;
        });

        \StylesFactory\SFCore\Node\Handler::nodeSaveProcess($this, $node, $form);

        return $form;
    }
	
    protected function nodeAddEdit(\XF\Entity\Node $node)
    {
        $reply = parent::nodeAddEdit($node);

        \StylesFactory\SFCore\Node\Handler::nodeAddEdit($node, $reply, true);

        return $reply;
    }
}