<?php

namespace StylesFactory\SFCore\Node;

class Handler
{
    public static function nodeAddEdit(\XF\Entity\Node $node, &$reply)
    {
        if ($reply instanceof \XF\Mvc\Reply\View)
        {
			if (!$node->new_icon) 
            {
                $node->mainicon();
            }
            if ($node->changericon())
            {
                $node->mainiconsec();
            }
            if (!$node->dwa)
            {
                $node->normalicon();
            }
            if ($node->changer())
            {
                $node->changetonew();
            }
        }
    }

    public static function nodeSaveProcess(\XF\Admin\Controller\AbstractController $controller, \XF\Entity\Node $node, \XF\Mvc\FormAction &$form)
    {
		$backconfig   = $controller->filter([
            'mybackground'  => array('filtersetting'=>'str'),
			'widthcontroller'  => array('filtersetting'=>'str')
        ]);
		
        $bconfig   = $controller->filter([
            'mb'  => array('filtersetting'=>'str'),
	        'wc'  => array('filtersetting'=>'str')
        ]);
		
        $form->setup(function() use ($node, $bconfig, $backconfig)
        {
            $node->new_icon   = $bconfig;
			$node->dwa   = $backconfig;
        });
    }
}