<?php

namespace StylesFactory\SFCore\Node;

class Page extends XFCP_Page
{
	protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $form = parent::nodeSaveProcess($node);

        $input = $this->filter([
            'node' => [
                'verti_back' => 'str'
            ]
        ]);

        $url = $input['node']['verti_back'];

        $form->setup(function() use ($node, $url)
        {
            $node->verti_back = $url;
        });

        \StylesFactory\SFCore\Node\Handler::nodeSaveProcess($this, $node, $form);

        return $form;
    }
	
    protected function nodeAddEdit(\XF\Entity\Node $node)
    {
        $reply = parent::nodeAddEdit($node);

        \StylesFactory\SFCore\Node\Handler::nodeAddEdit($node, $reply, true);

        return $reply;
    }
}