<?php

namespace StylesFactory\SFCore;

use XF\AddOn\AbstractSetup;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{
    public function install(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
            $table->addColumn('dwa', 'text')->nullable()->setDefault('NULL');
	    $table->addColumn('verti_back', 'varchar', 250)->nullable();
            $table->addColumn('new_icon', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('font_icon', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_width', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_height', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_bg', 'text')->nullable()->setDefault('NULL');
        });
    }

    public function upgrade(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
	    $table->addColumn('verti_back', 'varchar', 250)->nullable();
            $table->addColumn('new_icon', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('font_icon', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_width', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_height', 'text')->nullable()->setDefault('NULL');
            $table->addColumn('svg_bg', 'text')->nullable()->setDefault('NULL');
        });		
    }

    public function uninstall(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
            $table->dropColumns(array('dwa'));
	    $table->dropColumns(array('verti_back'));
            $table->dropColumns(array('new_icon'));
            $table->dropColumns(array('font_icon'));
            $table->dropColumns(array('svg_width'));
            $table->dropColumns(array('svg_height'));
            $table->dropColumns(array('svg_bg'));
        });
    }
}