<?php

namespace StylesFactory\UltimateContentDisplay\Admin\Controller;

use XF\Admin\Controller\AbstractController;
use XF\Mvc\ParameterBag;

class Menusek extends AbstractController
{

    public function actionIndex()
    {
        $MenuMag = $this->MagazineM();
        $MenuListing = $MenuMag->MenuMnie();

        $viewParams = [
            'ucds' => $MenuListing->fetch(),
        ];

        return $this->view('StylesFactory\UltimateContentDisplay:Menusek\List', 'xp_ucd_menu_list', $viewParams);
    }

    protected function menuAddEd(\StylesFactory\UltimateContentDisplay\Entity\Menusek $ucd)
    {
        $viewParams = [
            'ucd' => $ucd
        ];

        return $this->view('StylesFactory\UltimateContentDisplay:Menusek\Edit', 'xp_ucd_menu_edit', $viewParams);
    }

    public function actionAdd()
    {
        $ucd = $this->em()->create('StylesFactory\UltimateContentDisplay:Menusek');
        return $this->menuAddEd($ucd);
    }

    public function actionEdit(ParameterBag $params)
    {
        $ucd = $this->assertServiceExists($params['ucd_id']);

        return $this->menuAddEd($ucd);
    }

    protected function serviceSaveProcess(\StylesFactory\UltimateContentDisplay\Entity\Menusek $ucd)
    {
        $form = $this->formAction();

        $input = $this->filter([
            'title' => 'str',
            'desc' => 'str',
            'icon' => 'str',
            'link' => 'str',
            'background' => 'str',
            'display_order' => 'uint'
        ]);
		
		$input['desc'] = $this->plugin('XF:Editor')->fromInput('description');

        $form->basicEntitySave($ucd, $input);

        return $form;
    }

    public function actionSave(ParameterBag $params)
    {
        $this->assertPostOnly();

        if ($params['ucd_id'])
        {
            $ucd = $this->assertServiceExists($params['ucd_id']);
        }
        else
        {
            $ucd = $this->em()->create('StylesFactory\UltimateContentDisplay:Menusek');
        }

        $this->serviceSaveProcess($ucd)->run();

        return $this->redirect($this->buildLink('ucd-menu/ucds'));
    }

    public function actionDelete(ParameterBag $params)
    {
        $ucd = $this->assertServiceExists($params['ucd_id']);

        if ($this->isPost())
        {
            $ucd->delete();
            return $this->redirect($this->buildLink('ucd-menu/ucds'));
        }
        else
        {
            $viewParams = [
                'ucd' => $ucd
            ];
            return $this->view('StylesFactory\UltimateContentDisplay:Menusek\Delete', 'xp_ucd_menu_delete', $viewParams);
        }
    }

    protected function assertServiceExists($id, $with = null, $phraseKey = null)
    {
        return $this->assertRecordExists('StylesFactory\UltimateContentDisplay:Menusek', $id, $with, $phraseKey);
    }

    protected function MagazineM()
    {
        return $this->repository('StylesFactory\UltimateContentDisplay:Menusek');
    }

}