<?php

namespace StylesFactory\UltimateContentDisplay;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
    {
        $schemaManager = $this->schemaManager();

        foreach ($this->getTables() AS $tableName => $closure)
        {
            $schemaManager->createTable($tableName, $closure);
        }

		$this->createWidget('xp_ucd_menu_list', 'xp_ucd_menu_list', []);
    }

    public function upgradeStep1()
    {
        $this->schemaManager()->alterTable('xp_ucd_links', function (Alter $table)
        {
            $table->changeColumn('title', 'text');
            $table->changeColumn('desc', 'text');
            $table->changeColumn('icon', 'text');
            $table->changeColumn('link', 'text');
            $table->changeColumn('background', 'text');
        });
    }

    public function uninstallStep1()
    {
        $schemaManager = $this->schemaManager();

        foreach (array_keys($this->getTables()) AS $tableName)
        {
            $schemaManager->dropTable($tableName);
        }
		$this->deleteWidget('xp_ucd_menu_list');
    }
    
    protected function getTables()
    {
        $tables = [];

        $tables['xp_ucd_links'] = function (Create $table)
        {
            $table->addColumn('ucd_id', 'int')->autoIncrement();
            $table->addColumn('title', 'text');
            $table->addColumn('desc', 'text');
            $table->addColumn('icon', 'text');
            $table->addColumn('link', 'text');
			$table->addColumn('background', 'text');
            $table->addColumn('display_order', 'int')->setDefault(0);
        };

        return $tables;
    }

}